/* ===== Color Palette ===== */
:root {
  --color-salmon: #E88070;
  --color-lime-cream: #d8ff85ff;
  --color-icy-blue: #A8D0F8;
  --color-gunmetal: #3A4040;
  --color-majorelle-blue: #6E44FF;
  --color-black: #000000;
  --color-white: #FFFFFF;
}

/* Light theme custom colors */
[data-md-color-scheme="default"] {
  --md-primary-fg-color: var(--color-black);
  --md-accent-fg-color: var(--color-majorelle-blue);
  --md-typeset-a-color: var(--md-accent-fg-color);
  --md-footer-bg-color: var(--color-black);
}

/* Dark theme custom colors */
[data-md-color-scheme="slate"] {
  --md-primary-fg-color: var(--color-gunmetal);
  --md-default-bg-color: #090d1d;
  --md-accent-fg-color: var(--color-lime-cream);
  --md-typeset-a-color: var(--md-accent-fg-color);
  --md-footer-bg-color: var(--color-gunmetal);
}

/* Dark Theme Custom Button */
[data-md-color-scheme="slate"] .md-button {
  background-color: var(--md-accent-fg-color);
  border-color: var(--md-accent-fg-color);
  color: var(--color-gunmetal);
}

[data-md-color-scheme="slate"] .md-button:hover {
  background-color: var(--color-white);
  border-color: var(--color-white);
  color: var(--color-black);
}

/* Footer Section */
.md-footer {
  background-color: var(--md-footer-bg-color);
}

.md-footer-meta {
  background-color: var(--md-footer-bg-color);
}

/* Testimonial cards */
.grid.cards.testimonials {
  grid-template-columns: 1fr !important;
  gap: 1.5rem;
  margin: 1rem 0;
}

.grid.cards.testimonials>* {
  margin-top: 0 !important;
}

.grid.cards.testimonials p:nth-child(2) {
  margin-top: -0.5rem;
  color: var(--md-default-fg-color--light);
  font-size: 0.9rem;
}

/* FAQ — Light Mode */
[data-md-color-scheme="default"] .md-typeset .admonition.note,
[data-md-color-scheme="default"] .md-typeset details.note {
  border-color: var(--color-salmon);
}

[data-md-color-scheme="default"] .md-typeset .note>.admonition-title,
[data-md-color-scheme="default"] .md-typeset .note>summary {
  background-color: rgba(98, 144, 195, 0.1);
  border-color: var(--color-salmon);
}

[data-md-color-scheme="default"] .md-typeset .note>.admonition-title::before,
[data-md-color-scheme="default"] .md-typeset .note>summary::before {
  background-color: var(--color-salmon);
}

/* FAQ — Dark Mode */
[data-md-color-scheme="slate"] .md-typeset .admonition.note,
[data-md-color-scheme="slate"] .md-typeset details.note {
  border-color: var(--color-lime-cream);
}

[data-md-color-scheme="slate"] .md-typeset .note>.admonition-title,
[data-md-color-scheme="slate"] .md-typeset .note>summary {
  background-color: rgba(194, 231, 218, 0.12);
  border-color: var(--color-lime-cream);
}

[data-md-color-scheme="slate"] .md-typeset .note>.admonition-title::before,
[data-md-color-scheme="slate"] .md-typeset .note>summary::before {
  background-color: var(--color-lime-cream);
}


/* Centered images */
img.center {
  display: block;
  margin-left: auto;
  margin-right: auto;
}